Package Details: neovide 0.7.0-1

Git Clone URL: https://aur.archlinux.org/neovide.git (read-only, click to copy)
Package Base: neovide
Description: No Nonsense Neovim Client in Rust
Upstream URL: https://github.com/Kethku/neovide
Licenses: MIT
Conflicts: neovide-git
Provides: neovide
Submitter: peeweep
Maintainer: peeweep
Last Packager: peeweep
Votes: 9
Popularity: 2.53
First Submitted: 2020-01-27 08:47
Last Updated: 2021-03-05 16:50

Latest Comments

romjan1412 commented on 2021-02-19 09:51

when I run neovide on terminal, i get those info, and neovide doesn't work very well. Ignored client type property: "methods" Ignored client type property: "attributes" MESA-INTEL: warning: Performance support disabled, consider sysctl dev.i915.perf_stream_paranoid=0

peeweep commented on 2020-09-17 23:51

Nerd is also available, actually vim-gui's fonts setting is pretty difficult and personality, I don't think noto is necessary. In this thread you posted, j4q looks like suggest you use the nerd.

omega16 commented on 2020-09-17 21:32

I think it need the noto-fontspackage as dependency, see https://github.com/Kethku/neovide/issues/363

vanek commented on 2020-07-02 11:45

This crashes with "hread 'main' panicked at 'Failed to create renderer: VkError(ERROR_INITIALIZATION_FAILED)', src/window.rs:150:13" without vulkan-intel installed, please add it as dependency.

yanganto commented on 2020-06-29 13:26

@peeweep, I am interested in neovide, please add me as co-matainer. Thanks. Also, I recently fix build neovide successfully. https://github.com/Kethku/neovide/issues/315

peeweep commented on 2020-05-23 06:51

I am no longer using neovide, so if anyone is interesting in this package, mailme or comment to say that, i will add you to co-matainer.

Terseus commented on 2020-05-22 22:52

It fails to compile in the linking phase with 464 errors like this, always with SDL_events.c.o:

/home/terseus/.cache/yay/neovide/src/neovide-0.5.0/target/release/deps/libsdl2_sys-207a88bde0bd01a8.rlib(SDL_gesture.c.o):(.bss+0x0): multiple definition of `WAYLAND_wl_proxy_get_user_data'; /home/terseus/.cache/yay/neovide/src/neovide-0.5.0/target/release/deps/libsdl2_sys-207a88bde0bd01a8.rlib(SDL_events.c.o):(.bss+0x0): first defined here

You can see the full output here: https://pastebin.com/tNULG9pa

My rustc version:

$ rustc --version
rustc 1.43.1 (8d69840ab 2020-05-04)

Edit: Note that also fails on master branch...

petRUShka commented on 2020-03-22 06:31

There should be some vulkan-related dependenciec because without vulkan-intel (I have intel GPU) installed it yields and error:

Ignored style attribute: "standout"
Ignored style attribute: "standout"
thread 'main' panicked at 'Failed to create window: SdlError("Installed Vulkan doesn\'t implement the VK_KHR_surface extension")', src/window.rs:84:22
note: run with `RUST_BACKTRACE=1` environment variable to display a backtrace

But with vulkan-intel error is following:

Ignored style attribute: "standout"
Ignored style attribute: "standout"
thread 'main' panicked at 'Failed to create renderer: VkError(ERROR_INITIALIZATION_FAILED)', src/window.rs:93:32
note: run with `RUST_BACKTRACE=1` environment variable to display a backtrace

SWW13 commented on 2020-03-02 10:09

The neovim dependency is missing.